#!/bin/bash
##SBATCH --nodes=2
#SBATCH --ntasks=8              # Nombre total de processus MPI
#SBATCH --ntasks-per-node=16
##SBATCH --cpus-per-task=1
#SBATCH --hint=nomultithread
#SBATCH -t 00:10:00              # Temps elapsed maximum d'exécution
#SBATCH -o test_client.out     # Nom du fichier de sortie
#SBATCH -e test_client.err     # Nom du fichier d'erreur
##SBATCH -p cpu_port             # Nom de la partition d'exécution
##SBATCH -A sos@cpu
##SBATCH --distribution=arbitrary
#SBATCH --account=psl@cpu


cd ${SLURM_SUBMIT_DIR}

module purge
module load intel-all/19.0.4
module load netcdf/4.7.0/intel-19.0.4-mpi
module load netcdf-cxx/4.2/intel-19.0.4-mpi
module load netcdf-fortran/4.4.5/intel-19.0.4-mpi
module load gcc/6.5.0/gcc-4.8.5
module load cmake
module load cdo
#module load arm-forge

ulimit -c 0
#export ALLINEA_NO_TIMEOUT=1

#ddt --connect srun --mpi=pmi2 -K1 -m block:block --multi-prog ./mpmd_srun.conf
#srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./mpmd_srun.conf
export machine_name=jeanzay
export xios_dir=/gpfswork/rech/psl/rpsl954/xios/dev_trunk_omp
export build_dir=build_prod

cp ../setup.py ./
cp ../run_sub_test.sh ./

python setup.py

cmake .

#ctest --output-on-failure #enable output only when test failed

ctest -V #enable all output

rm -f setup.py
rm -f run_sub_test.sh
rm -f run_test_*.py
rm -f CMakeLists.txt
rm -f context_grid_dynamico.xml
rm -f dynamico_grid.nc
rm -f default_param.pyc
rm -f user_param.pyc
rm -f user_param.py.*
